OpenMW 0.29.0

Anything related to PR, release planning and any other non-technical idea how to move the project forward should be discussed here.
User avatar
Zini
Posts: 5504
Joined: 06 Aug 2011, 15:16

Re: OpenMW 0.29.0

Post by Zini » 18 Mar 2014, 09:03

We need to find out what is different for you, because apparently no one else has this problem. At least I am not aware of any other reports.

User avatar
Zini
Posts: 5504
Joined: 06 Aug 2011, 15:16

Re: OpenMW 0.29.0

Post by Zini » 18 Mar 2014, 09:15

@Br0ken: Thanks.

Can one of our Russian developers look into it? Maybe do a bisect?

User avatar
Br0ken
Posts: 225
Joined: 02 Apr 2012, 05:54
Location: Siberia

Re: OpenMW 0.29.0

Post by Br0ken » 18 Mar 2014, 11:43

Recently, I've seen the same bug reports from the Russian community. So, I'm not alone.

User avatar
Okulo
Posts: 671
Joined: 05 Feb 2012, 16:11

Re: OpenMW 0.29.0

Post by Okulo » 18 Mar 2014, 17:23

Zini wrote:We need to find out what is different for you, because apparently no one else has this problem. At least I am not aware of any other reports.
Well, Herrbatka confirmed that it crashed when built from the AUR. Then, when he built it from source, it did work.

Same for me. When I clone from git and build it using cmake, it works fine, but when I build it from the community repository, it segfaults.

User avatar
Zini
Posts: 5504
Joined: 06 Aug 2011, 15:16

Re: OpenMW 0.29.0

Post by Zini » 18 Mar 2014, 18:59

I guess that means the code is actually correct and something got messed up during packaging. Not much our developers can do about it.

User avatar
Okulo
Posts: 671
Joined: 05 Feb 2012, 16:11

Re: OpenMW 0.29.0

Post by Okulo » 18 Mar 2014, 19:06

Something got messed up during packaging in three subsequent releases (0.27.0 to 0.29.0)? What can be done about that? I mean, at all?

User avatar
Zini
Posts: 5504
Joined: 06 Aug 2011, 15:16

Re: OpenMW 0.29.0

Post by Zini » 18 Mar 2014, 19:12

Could be packaging of OpenMW or some other packages that OpenMW depends on (OpenMW changing dependencies to a new version would explain why that only fails with later versions). Someone who is sufficiently experienced with that platform (AUR) and the respective packages has to look into it. I don't think we have all that many people that fall into this category.

Post Reply

Who is online

Users browsing this forum: No registered users and 14 guests